<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>UI documentation</title>
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
		
		<link href="https://fonts.googleapis.com/css?family=PT+Sans+Narrow:700|Roboto+Slab:400,700" rel="stylesheet">
		<!--<link href="https://cdn.muicss.com/mui-latest/css/mui.min.css" rel="stylesheet" type="text/css" />-->
		<!-- Font Awesome -->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		<!-- Bootstrap core CSS -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
		<!-- Material Design Bootstrap -->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/css/mdb.min.css" rel="stylesheet">
		<link href="css/fontello.css" rel="stylesheet" type="text/css" />
		<link href="https://unpkg.com/normalize.css@^4.1.1" rel="stylesheet" />
		<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
	
		<link href="https://unpkg.com/@blueprintjs/core@^1.11.0/dist/blueprint.css" rel="stylesheet" />
		<link href="css/font-awesome.css" rel="stylesheet" />
		<link href="css/blueprint-grid.min.css" rel="stylesheet" />
		<link rel="stylesheet" href="https://unpkg.com/tippy.js@4/themes/light.css" />
	
	
		<link href="css/style.css" rel="stylesheet" />
		<link href="css/notyf.min.css" rel="stylesheet" />
		<link href="css/select2.css" rel="stylesheet" />
		
		
		
		<link href="css/ui-demo.css" rel="stylesheet" type="text/css" />
		
		<!-- JQuery -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Bootstrap tooltips -->
		<script>
			$(document).ready(function(){ 
				$.get("menu.html", function(data){
					$("#menu").replaceWith(data);
				});
			});
		</script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.8.7/js/mdb.min.js"></script>
		<!--<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
		<script src="https://cdn.muicss.com/mui-latest/js/mui.min.js"></script>-->
		<script src="js/jquery.waypoints.min.js"></script>
		<script src="js/ui-demo.js"></script>
	</head>
	<body id="noscroll">
		<script src="js/helper.js"></script>
		<script src="js/select2.js"></script>
		<script src="js/time-period.js"></script>
		<script src="js/helper-menu.js"></script>
		
		<header id="header">
			<nav class="navbar navbar-dark bg-primary">
				<span class="navbar-brand h1"></span>
			</nav>
		</header>
		<div id="sidedrawer">
			<div id="menu"></div>
		</div>
		
		<div id="content-wrapper">
			<div class="p-4 mt-0"></div>
			<div class="container">
				
				<h2 class="ui">Components</h2>
				<div class="table-container card mb-4 p-3">
					<h3 class="ui">Table - general</h3>
					<div class="row mt-2">
						<div class="col-md-12">
							<div class="example text-left"><img src="images/table-header.png" class="img-fluid"></div>
						</div>
						<div class="col-md-2"></div>
						<div class="col-md-8">
							<pre><code class="language-html" data-lang="html">Table header:
color: Body;

Dataset title
font-family: "Roboto Slab", serif;
font-weight: normal;
font-size: 18px;

Dimension name
font-weight: bold;
font-style: italic;
(general font face & size)

Dimension content
(general font face & size)

Separator dot icon
material-lens
font-size: 8px;
vertical-align: middle
</code></pre>
						</div>
					</div>
					<div class="row mt-2">
						<div class="col-md-12">
							<div class="example text-center"><img src="images/table-elements.png" class="img-fluid"></div>
						</div>
						<div class="col-md-12">
							<div class="example text-center"><img src="images/table-alignment.png" class="img-fluid"></div>
						</div>
						<div class="col-md-12">
							<table class="table table-bordered">
								<tr>
									<td width="20%" style="background: #0549ab; color: white; font-weight: bold; text-align: right; font-style: italic; vertical-align: middle;">Year</td>
									<td width="40%" style="background: #f5f5f5;color: #222;font-family: monospace;">
										Column heading Dimension name<br><br>
										Background: Primary<br>
										Color: Neutral lighten-5<br>
										Font-weight: bold<br>
										Text-align: right<br>
										Vertical-align: top<br>
										font-style: italic<br>
										font-size: 12px
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #0549ab; color: white; font-weight: normal; text-align: center; vertical-align: middle;">2010</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Column heading Dimension value<br><br>
										Background: Primary<br>
										Color: Neutral lighten-5<br>
										Font-weight: normal<br>
										Text-align: center<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #e2f2fb; color: #182026; font-weight: bold; text-align: left; font-style: italic; vertical-align: middle;">Transaction</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Row heading Dimension name<br><br>
										Background: Default - Light<br>
										Color: TXT - dark<br>
										Font-weight: bold<br>
										Text-align: left<br>
										Vertical-align: top<br>
										font-style: italic<br>
										font-size: 12px
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #e2f2fb; color: #182026; font-weight: normal; text-align: left; vertical-align: middle;">Gross domestic product (output approach)</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Row heading Dimension value <br><br>
										Background: Default - Light<br>
										Color: TXT - dark<br>
										Font-weight: normal<br>
										Text-align: left<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #F3F7FB;  font-weight: normal; text-align: center; vertical-align: middle;">
										<a href="#" style="color:#0549ab"><span class="pt-icon-standard material-info"></span></a>
									</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Row heading Dimension value blank<br><br>
										Background: Neutral lighten-3<br>
										Color: TXT - dark<br>
										Font-weight: normal<br>
										Text-align: center<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #b7def6; color: #182026; font-weight: normal; text-align: left; vertical-align: middle;">
										<strong><em>Measure:</em></strong> Current price <span class="pt-icon-standard pt-icon-dot"></span> <strong><em>Country:</em></strong> France <span class="flagborder" style="margin-left: 6px;"><span class="footnote case2"><i class="icon-asterisk" aria-hidden="true"></i></span></span>
									</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Column heading (Group) Row section<br><br>
										Background: Default - Dark<br>
										Color: TXT - dark<br>
										Font-weight: ...<br>
										Text-align: left<br>
										Vertical-align: top<br>
										font-size: 12px<br><br>
										Font weights and styles:<br>
										Dimension: bold, italic<br>
										Dim. value: normal, regular
									</td>
									<td>
									</td>
								</tr>
								<tr>
									<td style="background: #fff; color: #182026; font-weight: normal; text-align: right; vertical-align: middle;">
										<span class="flagborder"><span class="flag btn-descr" data-tippy-content="P: Provisional" tabindex="0">P</span> <span class="footnote case5"><i class="icon-asterisk" aria-hidden="true" style="font-size: 12px;"></i></span></span> 1&nbsp;507&nbsp;569,0
									</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Default content cell<br><br>
										Background: Neutral lighten-5<br>
										Color: TXT - dark<br>
										Font-weight: normal<br>
										Text-align: right<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									<td style="background: #fff; color: #182026; font-weight: normal;">
										
									</td>
								</tr>
								<tr>
									<td style="-webkit-box-shadow:inset 0 0 0 2px #0549ab; box-shadow:inset 0 0 0 2px #0549ab; color: #182026; background: #FEF4E6 !important; font-weight: normal; text-align: right; vertical-align: middle;">
										<span class="flagborder"><span class="flag btn-descr" data-tippy-content="P: Provisional" tabindex="0"style="">P</span> <span class="footnote case5" style=""><i class="icon-asterisk" aria-hidden="true"></i></span></span> 1&nbsp;507&nbsp;569,0
									</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Default content cell hover / active<br><br>
										Background: Neutral lighten-3<br>
										Color: TXT - dark (if microdata available color: primary)<br>
										Font-weight: normal<br>
										Text-align: right<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									<td rowspan="2" style="background: #fff; color: #182026; font-weight: normal;">
										<p>
											If content cell is <strong>HOVER</strong> (mouse-over), the cell turns to its active state ("Default content cell hover / active"), and the other cells of the row turn to "Default content cell row hover".
										</p>
										<p>
											If content cell is <strong>ACTIVE</strong> (click-selected), the cell stays in its active state ("Default content cell hover / active"), and the other cells of the row keep the "Default content cell row hover" style, so the user can scroll to the first column of the table to see the related row heading.
										</p>
									</td>
								</tr>
								<tr>
									<td style="background: #FEF4E6; color: #182026; font-weight: normal; text-align: right; vertical-align: middle;">
										<span class="flagborder"><span class="flag btn-descr" data-tippy-content="P: Provisional" tabindex="0">P</span> <span class="footnote case5"><i class="icon-asterisk" aria-hidden="true"></i></span></span> 1&nbsp;507&nbsp;569,0
									</td>
									<td style="background: #f5f5f5;color: #222;font-family: monospace;">
										Default content cell row hover<br><br>
										Background: Neutral lighten-3<br>
										Color: TXT - dark<br>
										Font-weight: normal<br>
										Text-align: right<br>
										Vertical-align: top<br>
										font-size: 12px
									</td>
									
								</tr>
								
							</table>
							
						</div>
					</div>
				</div>
				<div class="table-container card mb-4 p-3">
					<h3 class="ui">Footnotes</h3>
					<div class="row mt-2">
						<div class="col-md-12">
							<div class="example text-left"><img src="images/footnotes.png" class="img-fluid"></div>
						</div>
						<div class="col-md-8">
							<pre><code class="language-html" data-lang="html">padding: 0px 2px;
font-size: 12px;
font-family: "PT Sans Narrow", "Helvetica Neue", Helvetica, Arial, sans-serif;
vertical-align: super;
line-height: 0;
font-weight: bold;
color: TXT - light;
</code></pre>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer id="footer">
			<div class="container">
				xxx
			</div>
		</footer>
	</body>
</html>
